import os
import random
from pathlib import Path
from datetime import datetime

alphabet = ['a', 'b', 'c', 'd', 'e', 'f', 'g', 'h', 'i', 'j', 'k', 'l', 'm',
            'n', 'o', 'p', 'q', 'r', 's', 't', 'u', 'v', 'w', 'x', 'y', 'z',
            ]


def create_avatar_dir() -> Path:
    avatar_dir_path = Path(os.getcwd()) / 'static' / 'avatars'
    if not avatar_dir_path.exists():
        avatar_dir_path.mkdir()
    return avatar_dir_path


def create_avatar_filename() -> str:
    timestamp = int(datetime.now().timestamp())
    random_prefix = ''.join(random.choices(alphabet, k=8))
    return f'{random_prefix}{timestamp}.png'
